<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Cuadrilla
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($idusuario,$idpersona,$fecha_ingreso,$fecha_salida) {
        $sql = "INSERT INTO persona_cuadrilla (idpersona, idusuario, fecha_ingreso, fecha_salida) 
                VALUES ('$idpersona', '$idusuario', '$fecha_ingreso', '$fecha_salida')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idpersona_cuadrilla,$idusuario,$idpersona,$fecha_ingreso,$fecha_salida) {
        $sql = "UPDATE persona_cuadrilla SET 
                idpersona = '$idpersona', 
                idusuario = '$idusuario',
                fecha_ingreso='$fecha_ingreso',
                fecha_salida='$fecha_salida'                 
                WHERE idpersona_cuadrilla = '$idpersona_cuadrilla'";
        return ejecutarConsulta($sql);
    }

    public function listar()
    {
      $sql="SELECT c.idpersona_cuadrilla,c.fecha_ingreso,c.fecha_salida,u.nombre as usuario,p.nombre as persona  FROM persona_cuadrilla c join usuario u on c.idusuario=u.idusuario join persona p on c.idpersona=p.idpersona";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idpersona_cuadrilla)
    {
      $sql="SELECT * FROM persona_cuadrilla where idpersona_cuadrilla='$idpersona_cuadrilla'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idpersona_cuadrilla)
    {
      $sql="DELETE FROM persona_cuadrill where idpersona_cuadrilla='$idpersona_cuadrilla'";
      return ejecutarConsulta($sql);
    }

    

  }

 ?>